streamtuner2(1)

NAME
streamtuner2 - Browser for internet radio stations

SYNOPSIS
streamtuner2 command [ channel,... ] [ title ]

DESCRIPTION
Streamtuner2 is a graphical application for browsing through internet radio station directories, like Shoutcast.com and Xiph.org or Internet-Radio.org.uk. It is written in Python and easy to extend. And besides the grapical interface, has a commandline interface.

OPTIONS

help
    Prints out a summary of available commands.

Cached data

stream channel title
    Searches for a station with the given title. Either looks in a single channel, or scans all plugins.

url channel title
    Prints out only the streaming URL.

play [channel] title
    Invokes the configured audio player.

Instantly retrieve data from directory service

categories channelname
    Returns a nested JSON list of all categories/genres.

category "channelname" "Category"
    Prints out a JSON list of the genre. Each entry constains title, url and other meta information. Note that the category must have the exact case.

EXAMPLES

streamtuner2 stream shoutcast,xiph "Top 100"
    Searches for the term "Top 100" in the shoutcast and xiph channels, and returns all info about the first match as JSON output.

streamtuner2 play frequence3
    Looks for the first occourence, and starts the audio player for FREQUENCE3.

GRAPHICAL MODE
There's only one option for the graphical UI mode:

--gtk3
    Loads Gtk3 via PyGI instead of Gtk2. This is implicit when running on Python3 anyway.

FILES
/home/$USER/.config/streamtuner2/settings.json

SEE ALSO
streamripper(1) audacious(1) json(5) m3u(5) pls(5)